@use "@/shared/ui/Discord/theme.module.scss" as discord;

@mixin playerLinkInline($align: none) {
  @if $align == right {
    > :global(.playerImg) {
      margin-right: 0.5rem;
    }
  }

  @if $align == left {
    > :global(.playerImg) {
      margin-left: 0.5rem;
    }
  }

  &[data-align="left"] > :global(.playerImg) {
    margin-right: 0.5rem;
  }

  &[data-align="right"] > :global(.playerImg) {
    margin-left: 0.5rem;
  }

  > sub {
    font-size: 0.65rem;
    margin-top: 4px;
  }
}

.playerLink,
:global(.playerLink) {
  display: inline-flex;
  align-items: center;
  @include playerLinkInline;
}
